import { type ConfigProvider } from '../api/config-provider.js';
import { type ConfigBuilder } from '../api/config-builder.js';
import { type Config } from '../api/config.js';
import { type ObjectMapper } from '../../mapper/api/object-mapper.js';
export declare class LayeredConfigProvider implements ConfigProvider {
    private readonly mapper;
    private readonly prefix;
    private _config;
    constructor(mapper: ObjectMapper, prefix?: string);
    builder(): ConfigBuilder;
    config(): Config;
    register(config: Config): void;
    release(): void;
}
